#include "rendering/FileTexture.h"

FileTexture::FileTexture(const char* path) {
    PNGReader png(path);
    if(png.hasError()) {
        return;
    }
    switch(png.getChannels()) {
        case 1:
            read<1>(png);
            break;
        case 2:
            read<2>(png);
            break;
        case 3:
            read<3>(png);
            break;
        case 4:
            read<4>(png);
            break;
    }
}

void FileTexture::bind(int index) const {
    texture.bind(index);
}